%{?nodejs_find_provides_and_requires}

Name:           nodejs-is-callable
Version:        1.1.0
Release:        1%{?dist}
Summary:        Is this JS value callable?

License:        MIT
URL:            https://github.com/ljharb/is-callable
Source0:        https://registry.npmjs.org/is-callable/-/is-callable-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(foreach)
BuildRequires:  npm(make-arrow-function)
BuildRequires:  npm(make-generator-function)
BuildRequires:  npm(tape)


%description
Is this JS value callable? Works with Functions and
GeneratorFunctions, despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-callable
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-callable
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} --es-staging test.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-callable


%changelog
* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.1.0-1
- Initial build of 1.1.0
